package com.yahoo.shopping;

/**
 * Computes the average of the values in an Integer array.
 * @author Anne Siri Korsen & Trond ivind Eriksen.
 *
 */
public class Avg implements AggregationFunction {
	
	public Integer aggregate(Integer[] hitScores) {
		
		int sum = 0;
		for(int i = 0; i < hitScores.length; i++) {
			sum += hitScores[i];
		}
		return (int)sum/4; //4 = maximum number of lists to be merged
		
	}
	
	public Integer aggregate(Integer[] hitScores, Integer[] bottomScores) {
		
		int sum = 0;
		for(int i = 0; i < hitScores.length; i++) {
			if(hitScores[i] == -1) {
				sum += bottomScores[i];
			} else {
				sum += hitScores[i];
			}
		}
		return (int)sum/4; //4 = maximum number of lists to be merged
		
	}

}