package com.yahoo.shopping;

/**
 * Computes the max of the values in an Integer array.
 * @author Anne Siri Korsen & Trond ivind Eriksen.
 *
 */
public class Max implements AggregationFunction {

	public Integer aggregate(Integer[] hitScores) {

		int max = 0;
		for(int i = 0; i < hitScores.length; i++) {
			if(hitScores[i] > max) {
				max= hitScores[i];
			}
		}
		return max;

	}

	public Integer aggregate(Integer[] hitScores, Integer[] bottomScores) {
		
		int max = 0;
		for(int i = 0; i < hitScores.length; i++) {
			if(hitScores[i] > max) {
				max= hitScores[i];
			}
			if(bottomScores[i] > max) {
				max = bottomScores[i];
			}
		}
		return max;
	}

}
